OGRE-Next: Ogre::Win32Window Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Win32Window Class Reference

`#include <OgreWin32Window.h>`

Inheritance diagram for Ogre::Win32Window:
[legend]

## Public Member Functions
| Win32Window (const String &title, uint32 width, uint32 height, bool fullscreenMode, PixelFormatGpu depthStencilFormat, const NameValuePairList *miscParams, Win32GLSupport &glsupport)
virtual | ~Win32Window ()
virtual void | _initialize (TextureGpuManager *textureGpuManager)
virtual void | _setVisible (bool visible)
| Internal method to notify the window it has been obscured or minimized.
virtual void | destroy ()
void | getCustomAttribute (IdString name, void *pData)
HDC | getHDC () const
HWND | getWindowHandle () const
bool | isClosed () const
| Indicates whether the window has been closed by the user.
virtual bool | isHidden () const
| Indicates whether the window was set to hidden (not displayed).
virtual bool | isVisible () const
virtual void | reposition (int32 left, int32 top)
virtual void | requestFullscreenSwitch (bool goFullscreen, bool borderless, uint32 monitorIdx, uint32 width, uint32 height, uint32 frequencyNumerator, uint32 frequencyDenominator)
| Requests to toggle between fullscreen and windowed mode.
virtual void | requestResolution (uint32 width, uint32 height)
| Requests a change in resolution.
virtual void | setFocused (bool focused)
virtual void | setHidden (bool hidden)
| Hide (or show) the window.
virtual void | setVSync (bool vSync, uint32 vSyncInterval)
| Turns VSync on/off.
virtual void | swapBuffers ()
virtual void | windowMovedOrResized ()
| Notify that the window has been resized.
Public Member Functions inherited from Ogre::Window
| Window (const String &title, uint32 widthPt, uint32 heightPt, bool fullscreenMode)
virtual | ~Window ()
void | _setPrimary ()
| Indicates that this is the primary window.
virtual bool | canDownloadData () const
| Returns true if you can download to CPU (i.e.
bool | getBorderless () const
TextureGpu * | getDepthBuffer () const
uint32 | getFrequencyDenominator () const
uint32 | getFrequencyNumerator () const
uint32 | getHeight () const
virtual void | getMetrics (uint32 &width, uint32 &height, int32 &left, int32 &top) const
| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.
PixelFormatGpu | getPixelFormat () const
uint32 | getRequestedHeightPt () const
uint32 | getRequestedWidthPt () const
SampleDescription | getSampleDescription () const
TextureGpu * | getStencilBuffer () const
TextureGpu * | getTexture () const
| WARNING: Attempting to change the TextureGpu (e.g.
const String & | getTitle () const
virtual float | getViewPointToPixelScale () const
| Many windowing systems that support HiDPI displays use special points to specify size of the windows and controls, so that windows and controls with hardcoded sizes does not become too small on HiDPI displays.
bool | getVSync () const
uint32 | getVSyncInterval () const
uint32 | getWidth () const
bool | isFocused () const
bool | isFullscreen () const
| Returns true if we are currently in fullscreen mode.
virtual bool | isManualSwapRelease () const
| Returns the value set by setManualSwapRelease when supported.
bool | isMultisample () const
bool | isPrimary () const
virtual void | performManualRelease ()
| See Window::setManualSwapRelease.
virtual void | setBorderless (bool borderless)
virtual void | setFsaa (const String &fsaa)
| Set the FSAA mode to be used if hardware support it.
virtual void | setManualSwapRelease (bool bManualRelease)
| Metal doesn't want us to hold on to a drawable after presenting.
virtual void | setTitle (const String &title)
virtual void | setWantsToDownload (bool bWantsToDownload)
| On Metal you must call this function and set it to true in order to take pictures.
bool | wantsToGoFullscreen () const
| Returns true if we are in windowed mode right now, but want to go fullscreen.
bool | wantsToGoWindowed () const
| Returns true if we are in fullscreen mode right now, but want to go windowed mode.

## Constructor & Destructor Documentation

## ◆ Win32Window()

Ogre::Win32Window::Win32Window | ( | const String & | title,
|  | uint32 | width,
|  | uint32 | height,
|  | bool | fullscreenMode,
|  | PixelFormatGpu | depthStencilFormat,
|  | const NameValuePairList * | miscParams,
|  | Win32GLSupport & | glsupport )

## ◆ ~Win32Window()

virtual Ogre::Win32Window::~Win32Window | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _initialize()

virtual void Ogre::Win32Window::_initialize | ( | TextureGpuManager * | textureGpuManager | ) |
| virtual

Implements Ogre::Window.

## ◆ _setVisible()

virtual void Ogre::Win32Window::_setVisible | ( | bool | visible | ) |
| virtual

Internal method to notify the window it has been obscured or minimized.

Implements Ogre::Window.

## ◆ destroy()

virtual void Ogre::Win32Window::destroy | ( |  | ) |
| virtual

Implements Ogre::Window.

## ◆ getCustomAttribute()

void Ogre::Win32Window::getCustomAttribute | ( | IdString | name,
|  | void * | pData )
| virtual

Reimplemented from Ogre::Window.

## ◆ getHDC()

HDC Ogre::Win32Window::getHDC | ( |  | ) | const
| inline

## ◆ getWindowHandle()

HWND Ogre::Win32Window::getWindowHandle | ( |  | ) | const
| inline

## ◆ isClosed()

bool Ogre::Win32Window::isClosed | ( |  | ) | const
| virtual

Indicates whether the window has been closed by the user.

Implements Ogre::Window.

## ◆ isHidden()

virtual bool Ogre::Win32Window::isHidden | ( |  | ) | const
| virtual

Indicates whether the window was set to hidden (not displayed).

Implements Ogre::Window.

## ◆ isVisible()

virtual bool Ogre::Win32Window::isVisible | ( |  | ) | const
| virtual

Implements Ogre::Window.

## ◆ reposition()

virtual void Ogre::Win32Window::reposition | ( | int32 | left,
|  | int32 | top )
| virtual

Implements Ogre::Window.

## ◆ requestFullscreenSwitch()

virtual void Ogre::Win32Window::requestFullscreenSwitch | ( | bool | goFullscreen,
|  | bool | borderless,
|  | uint32 | monitorIdx,
|  | uint32 | widthPt,
|  | uint32 | heightPt,
|  | uint32 | frequencyNumerator,
|  | uint32 | frequencyDenominator )
| virtual

Requests to toggle between fullscreen and windowed mode.

Remarks
  Use wantsToGoFullscreen & wantsToGoWindowed to know what you've requested. Same remarks as requestResolution apply: If we request to go fullscreen, wantsToGoFullscreen will return true. But if get word from OS saying we stay in windowed mode, wantsToGoFullscreen will start returning false.

Parameters

  goFullscreen | True to go fullscreen, false to go windowed mode.
  borderless | Whether to be borderless. Only useful if goFullscreen == false;
  monitorIdx |
  widthPt | New width. Leave 0 if you don't care.
  heightPt | New height. Leave 0 if you don't care.
  frequencyNumerator | New frequency (fullscreen only). Leave 0 if you don't care.
  frequencyDenominator | New frequency (fullscreen only). Leave 0 if you don't care.

Reimplemented from Ogre::Window.

## ◆ requestResolution()

virtual void Ogre::Win32Window::requestResolution | ( | uint32 | widthPt,
|  | uint32 | heightPt )
| virtual

Requests a change in resolution.

Change is not immediate. Use getRequestedWidthPt & getRequestedHeightPt if you need to know what you've requested, but beware you may not get that resolution, and once we get word from the OS, getRequested{Width/Height}Pt will change again so that getWidth == getRequestedWidthPt * getViewPointToPixelScale.

Reimplemented from Ogre::Window.

## ◆ setFocused()

virtual void Ogre::Win32Window::setFocused | ( | bool | focused | ) |
| virtual

Reimplemented from Ogre::Window.

## ◆ setHidden()

virtual void Ogre::Win32Window::setHidden | ( | bool | hidden | ) |
| virtual

Hide (or show) the window.

If called with hidden=true, this will make the window completely invisible to the user.

Remarks
  Setting a window to hidden is useful to create a dummy primary RenderWindow hidden from the user so that you can create and recreate your actual RenderWindows without having to recreate all your resources.

Implements Ogre::Window.

## ◆ setVSync()

virtual void Ogre::Win32Window::setVSync | ( | bool | vSync,
|  | uint32 | vSyncInterval )
| virtual

Turns VSync on/off.

Parameters

  vSync |
  vSyncInterval | When true, specifies how often the screen should be updated. e.g. at 60hz: vSyncInterval = 1 then update at 60hz vSyncInterval = 2 then update at 30hz vSyncInterval = 3 then update at 15hz vSyncInterval = 4 then update at 7.5hz

If the 31st bit is set, i.e. 0x80000000, then lowest latency mode, aka mailbox, will be used (which doesn't limit the framerate)

Reimplemented from Ogre::Window.

## ◆ swapBuffers()

virtual void Ogre::Win32Window::swapBuffers | ( |  | ) |
| virtual

Implements Ogre::Window.

## ◆ windowMovedOrResized()

virtual void Ogre::Win32Window::windowMovedOrResized | ( |  | ) |
| virtual

Notify that the window has been resized.

Remarks
  You don't need to call this unless you created the window externally.

Reimplemented from Ogre::Window.

The documentation for this class was generated from the following file:

- OgreWin32Window.h